# Uses of Class
org.eclipse.jdt.core.dom.NormalAnnotation

Packages that use NormalAnnotation
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.
org.eclipse.jdt.core.manipulation
Application programming interface for the JDT core manipulation plug-in class.

## Uses of NormalAnnotation in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return NormalAnnotation
Modifier and Type
Method
Description
`NormalAnnotation`
AST.`newNormalAnnotation()`
Creates and returns a new unparented normal annotation node with an unspecified type name and an empty list of member value pairs.
Methods in org.eclipse.jdt.core.dom with parameters of type NormalAnnotation
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(NormalAnnotation node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(NormalAnnotation node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(NormalAnnotation node)`
Visits the given type-specific AST node.

## Uses of NormalAnnotation in org.eclipse.jdt.core.manipulation

Methods in org.eclipse.jdt.core.manipulation with parameters of type NormalAnnotation
Modifier and Type
Method
Description
`boolean`
ImportReferencesCollector.`visit(NormalAnnotation node)`